

drivers/parport/parport_pc.c: In function `sio_via_probe':
drivers/parport/parport_pc.c:2512: warning: `ppcontrol' might be used uninitialized in this function

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/parport/parport_pc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/parport/parport_pc.c~via8231-support-for-parallel-port-driver-warning-fix drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~via8231-support-for-parallel-port-driver-warning-fix	2004-10-28 19:51:12.002471640 -0700
+++ 25-akpm/drivers/parport/parport_pc.c	2004-10-28 20:01:26.584041040 -0700
@@ -2509,7 +2509,8 @@ static struct parport_pc_via_data via_82
 static int __devinit sio_via_probe (struct pci_dev *pdev, int autoirq,
 					 int autodma, struct parport_pc_via_data *via)
 {
-	u8 tmp, tmp2, siofunc, ppcontrol;
+	u8 tmp, tmp2, siofunc;
+	u8 ppcontrol = 0;
 	int dma, irq;
 	unsigned port1, port2;
 	unsigned have_epp = 0;
@@ -2521,7 +2522,6 @@ static int __devinit sio_via_probe (stru
 	case 1:
 	    printk(KERN_DEBUG "parport_pc: setting SPP mode\n");
 	    siofunc = VIA_FUNCTION_PARPORT_SPP;
-	    ppcontrol = 0;
 	    break;
 	case 2:
 	    printk(KERN_DEBUG "parport_pc: setting PS/2 mode\n");
_
